org.apache.sling.validation.impl.model

## Class ChildResourceBuilder

- java.lang.Object
- - org.apache.sling.validation.impl.model.ChildResourceBuilder

    public class ChildResourceBuilder
    extends Object

### Field Summary

Fields
`boolean` `multiple`
`boolean` `optional`

### Constructor Summary

Constructors
Constructor and Description
`ChildResourceBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.sling.validation.model.ChildResource` `build(String name)`
`ChildResourceBuilder` `nameRegex(String nameRegex)`
`ChildResourceBuilder` `optional()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### optional

    public boolean optional

#### multiple

    public boolean multiple

### Constructor Detail

#### ChildResourceBuilder

    public ChildResourceBuilder()

### Method Detail

#### nameRegex

    @Nonnull
    public ChildResourceBuilder nameRegex(String nameRegex)

#### optional

    @Nonnull
    public ChildResourceBuilder optional()

#### build

    @Nonnull
    public org.apache.sling.validation.model.ChildResource build(@Nonnull
                                                                          String name)